Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           arptools
Summary:        Collection of libnet and libpcap based ARP utilities
License:        GPL-2.0-or-later

%global git_commit_full 2cf523f6fe6760da1eb3f97963f1975f96f6f106
%global git_commit %(c="%{git_commit_full}"; echo "${c:0:7}")
%global git_date 20230218

Version:        1.0.2
Release:        alt2_24.%{git_date}git%{git_commit}

URL:            https://github.com/burghardt/arptools
Source0:        https://github.com/burghardt/arptools/archive/%{git_commit_full}/%{name}-%{git_commit_full}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libnet2-devel
BuildRequires:  libpcap-devel
Source44: import.info


%description
ARP Tools is collection of libnet and libpcap based ARP utilities.
It currently contains ARP Discover (arpdiscover), an Ethernet scanner based on
ARP protocol; ARP Flood (arpflood), an ARP request flooder; and ARP Poison
(arppoison), for poisoning switches' MAC address tables.


%prep
%setup -q -n %{name}-%{git_commit_full}


%build
chmod +x autogen.sh # yes, really
NOCONFIGURE="yes" ./autogen.sh
%configure
%make_build


%install
%makeinstall_std


%files
%doc AUTHORS ChangeLog NEWS README.md TODO
%doc --no-dereference COPYING
%{_sbindir}/arpdiscover
%{_sbindir}/arpflood
%{_sbindir}/arppoison


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt2_24.20230218git2cf523f
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt2_22.20230218git2cf523f
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt2_21.20230218git2cf523f
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_16
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_10
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_9
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_7
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_6
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_5
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_5
- converted for Sisyphus

